%define	major 7
%define libname %mklibname monetra %{major}
%define develname %mklibname monetra -d

Summary:	Library to allow credit card processing through MCVE
Name:		libmonetra
Version:	7.7.0
Release:	%mkrel 7
Group:		System/Libraries
License:	BSD
URL:		http://www.mainstreetsoftworks.com/
Source0:	ftp://ftp.mcve.com/pub/libmonetra/%{name}-%{version}.tar.gz
Patch0:		libmonetra-7.7.0-lib64.diff
BuildRequires:	automake 
BuildRequires:	autoconf 
BuildRequires:	libtool
BuildRequires:	openssl-devel

%description
library for connecting to a MCVE Credit Card Processing Daemon via
SSL, TCP/IP, and drop-files.

%package -n	%{libname}
Summary:	Library to allow credit card processing through MCVE
Group:          System/Libraries

%description -n	%{libname}
library for connecting to a MCVE Credit Card Processing Daemon via
SSL, TCP/IP, and drop-files.

%package -n	%{develname}
Summary:	Static library and header files for the %{name} library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
library for connecting to a MCVE Credit Card Processing Daemon via
SSL, TCP/IP, and drop-files.

This package contains the static %{name} library and its header
files.

%prep

%setup -q
%autopatch -p0

%build
export WANT_AUTOCONF_2_5=1
rm -f configure
libtoolize --copy --force; aclocal; autoconf; automake --add-missing --copy

%configure2_5x

%make

%install
%makeinstall_std


%files -n %{libname}
%doc AUTHORS ChangeLog LICENSE README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc LICENSE
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la




%changelog
* Wed Mar 02 2016 umeabot <umeabot> 7.7.0-7.mga6
+ Revision: 983587
- Rebuild for openssl

* Sat Feb 06 2016 umeabot <umeabot> 7.7.0-6.mga6
+ Revision: 941857
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 7.7.0-5.mga5
+ Revision: 750601
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 7.7.0-4.mga5
+ Revision: 726762
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 7.7.0-3.mga5
+ Revision: 681611
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 7.7.0-2.mga4
+ Revision: 533023
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 oden <oden> 7.7.0-1.mga4
+ Revision: 470860
- 7.7.0
- P0: fix build
- slight cleanups

* Sat Jan 12 2013 umeabot <umeabot> 7.0.5-4.mga3
+ Revision: 357785
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 06 2011 spuhler <spuhler> 7.0.5-3.mga1
+ Revision: 48098
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package libmonetra


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 7.0.5-3mdv2011.0
+ Revision: 609758
- rebuild

* Tue Apr 20 2010 Funda Wang <fwang@mandriva.org> 7.0.5-2mdv2010.1
+ Revision: 536955
- rebuild

* Sun Dec 27 2009 Oden Eriksson <oeriksson@mandriva.com> 7.0.5-1mdv2010.1
+ Revision: 482802
- 7.0.5

* Tue May 19 2009 Oden Eriksson <oeriksson@mandriva.com> 7.0.4-1mdv2010.0
+ Revision: 377610
- 7.0.4
- fix build

* Wed Apr 01 2009 Oden Eriksson <oeriksson@mandriva.com> 7.0.0-3mdv2009.1
+ Revision: 363368
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 7.0.0-2mdv2009.0
+ Revision: 267919
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 06 2008 Oden Eriksson <oeriksson@mandriva.com> 7.0.0-1mdv2009.0
+ Revision: 201821
- 7.0.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 5.2-2mdv2008.0
+ Revision: 83686
- new devel naming


* Fri Dec 08 2006 Oden Eriksson <oeriksson@mandriva.com> 5.2-1mdv2007.0
+ Revision: 93722
- Import libmonetra

* Sat Feb 04 2006 Oden Eriksson <oeriksson@mandriva.com> 5.2-1mdk
- initial Mandriva package

